Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.types
Class Name

    java.lang.Object
      |
      +--org.apache.axis.types.NormalizedString
            |
            +--org.apache.axis.types.Token
                  |
                  +--org.apache.axis.types.Name

Direct Known Subclasses:
  NCName

public class Name
extends Token

Custom class for supporting XSD data type Name Name represents XML Names. The value space of Name is the set of all strings which match the Name production of [XML 1.0 (Second Edition)]. The base type of Name is token.

Author:
  Chris Haddad
See Also:
  XML Schema 3.3.6

Constructor Summary
`Name()`
`Name(java.lang.String stValue)` ctor for Name

Method Summary
`boolean` | `isValid(java.lang.String stValue)` validate the value against the xsd definition Name ::= (Letter | '_' | ':') ( NameChar)* NameChar ::= Letter | Digit | '.' | '-' | '_' | ':' | CombiningChar | Extender

Methods inherited from class org.apache.axis.types.NormalizedString
`equals, hashCode, setValue, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Name

    public Name()

### Name

    public Name(java.lang.String stValue)
         throws java.lang.IllegalArgumentException

  ctor for Name
  Throws:
    `java.lang.IllegalArgumentException` - will be thrown if validation fails

Method Detail

### isValid

    public boolean isValid(java.lang.String stValue)

  validate the value against the xsd definition Name ::= (Letter | '_' | ':') ( NameChar)* NameChar ::= Letter | Digit | '.' | '-' | '_' | ':' | CombiningChar | Extender
  Overrides:
    `isValid` in class `Token`
  Following copied from class: `org.apache.axis.types.NormalizedString`
  Parameters:
    `the` - String to test

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.